<!doctype html>
<title>{% block title %}{% endblock %} </title>
<nav>
  <h1>Auction</h1>
  <ul>
    {% if g.user %}
      <span>{{ g.user.get_name() }}</span>
      <li><a href="{{ url_for('auth.logout') }}">Выйти</a>
      <li><a href="{{ url_for('auth.card') }}">Моя карта</a>
    {% else %}
      <li><a href="{{ url_for('auth.register') }}">Регистрация</a>
      <li><a href="{{ url_for('auth.login') }}">Войти</a>
    {% endif %}
  </ul>
</nav>
<section class="content">
  <header>
    {% block header %}{% endblock %}
  </header>
  {% for message in get_flashed_messages() %}
    <div class="flash">{{ message }}</div>
  {% endfor %}
  {% block content %}{% endblock %}
</section>